# Interface AntlrSourceVirtualDirectory

public interface AntlrSourceVirtualDirectory
Contract for a Gradle "convention object" that acts as a handler for what I call a virtual directory mapping, injecting a virtual directory named 'antlr' into the project's various `source sets`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`

## Method Summary

Modifier and Type
Method
Description
`AntlrSourceVirtualDirectory`
`antlr(Closure configureClosure)`
Configures the Antlr source for this set.
`AntlrSourceVirtualDirectory`
`antlr(Action<? super SourceDirectorySet> configureAction)`
Configures the Antlr source for this set.
`SourceDirectorySet`
`getAntlr()`
All Antlr source for this source set.

## Field Details

### NAME

static final String NAME

See Also:
  - Constant Field Values

## Method Details

### getAntlr

SourceDirectorySet getAntlr()
All Antlr source for this source set.

Returns:
  The Antlr source. Never returns null.

### antlr

AntlrSourceVirtualDirectory antlr(Closure configureClosure)
Configures the Antlr source for this set. The given closure is used to configure the `SourceDirectorySet` (see `getAntlr()`) which contains the Antlr source.

Parameters:
  `configureClosure` - The closure to use to configure the Antlr source.
Returns:
  this

### antlr

AntlrSourceVirtualDirectory antlr(Action<? super SourceDirectorySet> configureAction)
Configures the Antlr source for this set. The given action is used to configure the `SourceDirectorySet` (see `getAntlr()`) which contains the Antlr source.

Parameters:
  `configureAction` - The action to use to configure the Antlr source.
Returns:
  this
Since:
  3.5